LINUX.ORG.RU
ФорумTalks

Oh yes!


0

0

Спустя два месяца ожидания, я обнаружил в почтовом ящике пакет с убунту.

Впечатления от livecd: долго грузиться, запустился в разрещении 1024x768, экран перекосило. Программы запускаются долго(сидюк крутит сд на маленькой скорости), тормозит всё ужасно. Шрифты, с автохинтингом - говно(извиняюсь), но заменить не проблема.

Конкретно вопрос: инсталл тоже такой тормозной, или всё быстрее работает?

★★★★★

Ответ на: Re: Oh yes! от EINHERJER

Re: Oh yes!

Посмотрел инсталлсд- вроде почи всё есть. Даже драйвера для люцента имеются. ТОлько -dev пакеты для себя докачать, и libmad с tetex`ом. Единственное, что обидно, что xfce-4.2.2 есть только в бризи. И требует соотв. gtk-2.8 --> Т-О-Р-М-О-З-А...

Ну ещё, гвим... Ну и ещё что-нибудь... Но намного меньше, чем мне пришлось скачать для дженты.

Самое главное надо будет пересобрать freetype с BCI. Аутохинтер я пробовал раньше, с разныим патчами, ну не знаю, без сглажки - жуткое убожество, шрифты кривые в буквальном смысле.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

юмор оценил :))

+1 =)))))

gr_buza ★★★★ ()
Ответ на: Re: Oh yes! от EINHERJER

Re: Oh yes!

> А разве в линуксе были когда-нибудь хорошие шрифты? :)))

при наличии прямых рук шрифты всегда были нормальными

JB ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> Самое главное надо будет пересобрать freetype с BCI. Аутохинтер я пробовал раньше, с разныим патчами, ну не знаю, без сглажки - жуткое убожество, шрифты кривые в буквальном смысле.

в убунте фритайп уже собран с байткодом

достаточно всего лишь поставить вендовые шрифты

JB ★★★★★ ()
Ответ на: Re: Oh yes! от EINHERJER

Re: Oh yes!

а мне проще - у меня везде фиксед, а где не фиксед - там терминус :))

и никакого сглаживания :)

gr_buza ★★★★ ()
Ответ на: Re: Oh yes! от init

Re: Oh yes!

Заметные. Старые темы естественноне тормозят т.к. они не векторные. А вот шрифты рисуются медленнее. X-chat с новым гтк превратисля у меня в тормозного монстра. Когда они наконец glitz прикрутят???

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

Два часа полёт нормальный. Задолбался со шрифтами, часть приложений мсовские шрифты видит, часть - нет, ставил terminus - не видно его, гном ставит dpi 96, xdpyinfo выдаёт 75. Система очень медленно загружается, надо выбрасывать кучу модулей(вот нафига мне, например, raid? ;) )

По скорости: вроде так же как и в gentoo. Но firefox...сказать, что он тормозит - ничего не сказать: при скроллинге экран обновляется волнами. Epiphany вроде быстро работает.

Вобщем надо копаться. А так хотелось, чтоб без напильника...(смахивает слезу)

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

>А так хотелось, чтоб без напильника...

SUSE?

suser ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> Задолбался со шрифтами, часть приложений мсовские шрифты видит, часть - нет

в /etc/fonts/local.conf добавил путь к шрифтам?

> гном ставит dpi 96, xdpyinfo выдаёт 75.

во-первых гном не может ставить dpi, во-вторых dpi ставит gdm

> Но firefox...сказать, что он тормозит - ничего не сказать: при скроллинге экран обновляется волнами.

в ubuntu 5.10 firefox собран с cairo, поставь оригинальную сборку с mozilla.org

> А так хотелось, чтоб без напильника...(смахивает слезу)

напильник не нужен, все это стандартные действия - установка шрифтов и смена dpi

лично мне это приходится делать в любом дистрибутиве, начиная от слаки и заканчивая сусе

JB ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

>лично мне это приходится делать в любом дистрибутиве, начиная от слаки и заканчивая сусе

Шрифты M$ устанавливаются через YOU автоматически, в /etc/fonts/fonts.conf сразу прописаны алиасы, что sans-serif есть verdana, serif - times-new-roman, monospace - Andale Mono (при наличии таковых). DPI выставлять не надо, так как конфигуратор иксов В зависимости от модели монитора выставляет DisplaySize (можно изменить). Firefox не тормозит даже без нормальных видеодров.

suser ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

Всё бы хорошо, да только ubuntu у меня пока 5.04. И фф тамошний.

>dpi ставит gdm

? Я им не пользовался никогда, не знал...

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

Мдя... потрахался славно, и решил таки вернуться обратно на старую добрую koi8-r локаль. Утф это конечно модно, но сконсолью гемора, уй...

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от suser

Re: Oh yes!

> в /etc/fonts/fonts.conf сразу прописаны алиасы

алиасы тут совершенно непричем

если в fonts.conf или local.conf не будут прописаны пусть к шрифтам, приложения их просто не увидят

и если в сусе все изменения при установке новых шрифтов через you происходят в fonts.conf, то разработчикам следует убить себя об стенку

JB ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> Всё бы хорошо, да только ubuntu у меня пока 5.04. И фф тамошний.

странно, у меня не тормозил

запускался конечно долго, по сравнению с обычной сборкой mozilla.org, но работал очень быстро

JB ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

>и если в сусе все изменения при установке новых шрифтов через you происходят в fonts.conf, то разработчикам следует убить себя об стенку

Алиасы и пути к шрифтам прописаны заранее. При установке запускается только fonts-config.

#!/bin/sh

EULA="http://corefonts.sourceforge.net/eula.htm";

FONTS=" \
dl.sourceforge.net/sourceforge/corefonts/andale32.exe \
dl.sourceforge.net/sourceforge/corefonts/arial32.exe  \
dl.sourceforge.net/sourceforge/corefonts/arialb32.exe \
dl.sourceforge.net/sourceforge/corefonts/comic32.exe  \
dl.sourceforge.net/sourceforge/corefonts/courie32.exe \
dl.sourceforge.net/sourceforge/corefonts/georgi32.exe \
dl.sourceforge.net/sourceforge/corefonts/impact32.exe \
dl.sourceforge.net/sourceforge/corefonts/times32.exe  \
dl.sourceforge.net/sourceforge/corefonts/trebuc32.exe \
dl.sourceforge.net/sourceforge/corefonts/verdan32.exe \
dl.sourceforge.net/sourceforge/corefonts/webdin32.exe \
"

SERVER=" \
puzzle   \
ovh      \
switch   \
citkit   \
mesh     \
jaist    \
cogent   \
kent     \
nchc     \
heanet   \
easynews \
optusnet \
voxel    \
"

CURL_OPTIONS="-s --speed-limit 3500 --speed-time 15"

if [ "`id -u`" != "0" ]; then
 echo "error: You must be root to use this program!"
 exit 1
fi

if [ ! -x /usr/bin/cabextract ]; then
  echo "error: cabextract missing! Please install package cabextract first."
  exit 2
fi

. /etc/sysconfig/proxy

if test "$PROXY_ENABLED" != "no"; then
  if test -n "$HTTP_PROXY" ; then
    export http_proxy="$HTTP_PROXY"
  fi
fi

if [ -z $http_proxy ]; then
  echo 
  echo "note: No proxy is used. Please set the environment variable \"http_proxy\""
  echo "note: to your favorite proxy, if you want to use a proxy for the download."
  echo "note:"
  echo "note:   bash: export http_proxy=\"http://proxy.provider.de:3128/\""
  echo "note:   tcsh: setenv http_proxy \"http://proxy.provider.de:3128/\""
fi

echo "EULA:"
mkdir -p /usr/share/doc/corefonts
echo -n "  Fetching   ... "
curl $CURL_OPTIONS -o /usr/share/doc/corefonts/EULA.html $EULA || \
  rm -f /usr/share/doc/corefonts/EULA.html
echo "done"

tmpname=`basename $0`
tmpdir=`mktemp -d /tmp/$tmpname.XXXXXX`
trap "rm -rf $tmpdir" EXIT
if [ $? -ne 0 ]; then
  echo "$0: Can't create temp dir, exiting..."
  exit 4
fi

pushd $tmpdir &> /dev/null

echo
echo "Trying to find the fastest server:"
besttime=1000

for server in $SERVER; do
  echo -n " $server ... "
  start=$SECONDS
  curl $CURL_OPTIONS --connect-timeout 10 -o cabextract.rpm \
    http://$server.dl.sourceforge.net/sourceforge/corefonts/cabextract-0.5-1.i386.rp
m
  if [ $? -ne 0 ]; then
    echo "to slow (aborted)"
    continue
  fi
  stop=$SECONDS
  time=$((stop - start))
  echo "$time sec"
  if [ $time -lt $besttime ]; then 
    besttime=$time
    useserver=$server
  fi
done

rm -f cabextract.rpm
if [ -n "$useserver" ]; then
  echo "The winner is: >> $useserver <<"
  echo
else
  echo "Connection to slow or no server available. Aborting ... "
  exit 5
fi

for font in $FONTS; do
 for i in $useserver $SERVER; do
  archive=http://$i.$font
  file=`echo $archive|awk -F "/" '{print $NF}'`
  rm -f $file
  echo "$file ($archive):"
  echo -n "  Fetching   ... "
  curl $CURL_OPTIONS -o $file $archive
  if [ $? -ne 0 ]; then
    rm -f $file
    echo "failed ... deleted!"
    continue
  fi
  echo done
  echo -n "  Extracting ... "
  cabextract -l $file &> /dev/null
  if [ $? -ne 0 ]; then
    rm -f $file
    echo "failed ... deleted!"
  else
    cabextract $file &> /dev/null
    echo "done"
    success=true
    break
  fi
  rm -f $file
 done
done

if [ "x$success" != "x" ]; then 
  for i in *.[Tt][Tt][CFcf]; do
    lower=`echo $i|tr [:upper:] [:lower:]`
    test "$i" != "$lower" && mv $i $lower
  done
  chmod 644 *.tt[cf]
  mv -f *.tt[cf] /usr/X11R6/lib/X11/fonts/truetype
  /usr/sbin/fonts-config
  echo "*** Fonts installed. ***"
else
  echo "*** No Fonts installed. ***"
fi

popd &> /dev/null

suser ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

Прописал, всё увидилось. ТОлько почему-то в фф я ставлю monospace шрифт terminus, а остаётся старый. Теперь надо ещё удалить старые лрифты.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

Пока тема не съехала вниз, хочу спросить. Какие консольные шрифты держат юникод? И можно ли терминус заставить работать в юникодной локали? Хочу ещё раз попробывать, но так, чтобы не методом тыка.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от init

Re: Oh yes!

> Какие тормоза в gtk-2.8?

Вот и я чуть голову не сломал, пытаясь их вспомнить. Пока никаких не вспомнил :-/ А может у автора просто Composite на i810 включен, да без RenderAccel? :-)

no-dashi ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

Про читую консоль вопрос снимается. А в xterm terminus никак не заставить работать.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

Как включить RenderAccel на savage4? ;)) Composite отключен точно был.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> ТОлько почему-то в фф я ставлю monospace шрифт terminus, а остаётся старый. Теперь надо ещё удалить старые лрифты.

изменять надо для western, cyrillic и unicode кодировок

лично у меня всегда работало

JB ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> А в xterm terminus никак не заставить работать.

xfontsel и xlsfonts видят терминус?

JB ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

Видят. Но при попытке зщапустить xterm cо шрифтом -*-terminus-medium-*-*-*-14-*-*-*-*-*-utf-8 пишет, что такого шрифта нет.

А фф понятно почему тормозит - такая сборка. Я поставил флок - всё нормально стало.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

>UniCyr

С этим я уже разобрался. Стандартные шрифты работают с юникодом.

Midael ★★★★★ ()
Ответ на: Re: Oh yes! от Midael

Re: Oh yes!

> Но при попытке зщапустить xterm cо шрифтом -*-terminus-medium-*-*-*-14-*-*-*-*-*-utf-8 пишет, что такого шрифта нет.

все правильно, именно такого шрифта нет

зато есть -*-terminus-medium-*-*-*-14-*-*-*-*-*-iso8859-1, насчет кодировки могу ошибаться

JB ★★★★★ ()
Ответ на: Re: Oh yes! от JB

Re: Oh yes!

Ага. iso10646-1. Подцепилось, работает, спасибо.

А так вообще приятная ось, чем-то таким цепляет..

Midael ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.